<bugID>1398600<Summary>Bug 1397092 + other issues with Firefox57 causing  Severe page loading delays in Firefox 57 32-bit builds compared to Firefox 57 builds from 2017-08-20</Summary><Description>User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:57.0) Gecko/20100101 Firefox/57.0
Build ID: 20170826031719

Steps to reproduce:

SPLIT from Bug 1397092 as it fixes only one partial problem.
 
First try on Nightly 57 both 32/64 bits test each

Try with the STR in the AR section and note down the results.

Please *note* this will only happen on slow machines

Download build 2017-08-20 32/64 bits test each and then try
APNG builds from 
https://bugzilla.mozilla.org/show_bug.cgi?id=1397092#c71

set toolkit.cosmeticAnimations.enabled=false

Now try Firefox55 32/64 bits and test each


Actual results:

Open a few bookmarks &amp; start typing here

On Firefox 57
The typing was lagging, pages take a very long time to be rendered &amp; notice the high CPU/GPU usage from starting of the loading of pages until the load completely.


On APNG builds the CPU/GPU usage is lower compared to Firefox57
On 2017-08-20 Builds the CPU/Gpu usage is even lower.

Now test Firefox55
CPU/GPU usage is very very low and very thing is loads/renders super quickly!

(other Major Steps to show this problem will be mentioned below, Try that too if unable to reproduce)


Expected results:

Pages should have loaded very very fast like previous builds , CPU/Gpu usage should have been quite low &amp; similar to the previous builds.

Part of the problem is bug 1397092 which will be fixed soon
the other is 

https://bugzilla.mozilla.org/show_bug.cgi?id=1397092#c72

This Bug is pretty severe but sometimes it's hard to produce on *better hardware*
so please be patient...</Description></bugID>